package com.steerinfo.baseinfo.meterbasematterinfo.service;

import com.steerinfo.baseinfo.dto.SelectMatterDemo;
import com.steerinfo.baseinfo.meterbasecustomersupplier.model.MeterBaseCustomerSupplier;
import com.steerinfo.baseinfo.meterbasematterinfo.model.MeterBaseMatterInfo;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.framework.service.pagehelper.PageList;
import com.steerinfo.meterwork.meterworkbeltscaleactual.model.MeterWorkBeltScaleActual;

import java.util.List;
import java.util.Map;

/**
 * MeterBaseMatterInfo服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-10-14 08:40
 * 类描述
 * 修订历史：
 * 日期：2020-10-14
 * 作者：generator
 * 参考：
 * 描述：MeterBaseMatterInfo服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterBaseMatterInfoService extends IBaseService<MeterBaseMatterInfo, String>{
    String checkandadd(MeterBaseMatterInfo model);

    String checkandupdate(String id, MeterBaseMatterInfo model);

    String Recovery(List<MeterBaseMatterInfo> models);

    List<MeterBaseMatterInfo> selectPrint();

    String abolish(List<MeterBaseMatterInfo> models);

    List<MeterBaseMatterInfo> queryAll(Map<String,Object> parmas);

    String useTare(List<MeterBaseMatterInfo> models);

    String unTare(List<MeterBaseMatterInfo> models);

    String useAddWeight(List<MeterBaseMatterInfo> models);

    String unAddWeight(List<MeterBaseMatterInfo> models);

    PageList<MeterBaseMatterInfo> timecorRelation(Integer pageNum, Integer pageSize);

    PageList<MeterBaseMatterInfo> selectcorrelation(Integer pageNum, Integer pageSize);

    PageList<MeterBaseMatterInfo> diffscorrelation(Integer pageNum, Integer pageSize);

    PageList<MeterBaseMatterInfo> selectByMeterCode(Integer pageNum, Integer pageSize);

    PageList<MeterBaseMatterInfo> listLike(SelectMatterDemo model);

    PageList<MeterBaseMatterInfo> listMeterCode(SelectMatterDemo model);

    //分配皮带秤类型
    int doUpdateBeltType(List<MeterBaseMatterInfo> list);
}